---
variables:
  PROJECT_IMAGE: ${CI_REGISTRY}/${CI_PROJECT_PATH}/project-image:latest

jsonnet:generate:
  stage: generation
  image: ${PROJECT_IMAGE}
  script:
    - jsonnet '.gitlab/ci/gitlab-ci.jsonnet' > generated-config.yml
    - cat generated-config.yml
  artifacts:
    paths:
      - generated-config.yml

stages:
  - generation
  - pipelines

dev:pipeline:
  stage: pipelines
  needs:
    - jsonnet:generate
  trigger:
    include:
      - local: '.gitlab/ci/main.yml'      
      - artifact: generated-config.yml
        job: jsonnet:generate
    strategy: depend

docker:build:
  stage: .pre
  rules:
    - changes: 
      - docker/**
  trigger:
    include:
      - local: '.gitlab/ci/docker.yml'
    strategy: depend
